if not _G.newcoppers then
	_G.newcoppers = {}
	_G.newcoppers.ModPath = ModPath
	blt.xaudio.setup()
	if _G.voiceline_framework then
		_G.voiceline_framework:register_unit("big_dave")
		_G.voiceline_framework:register_line_type("big_dave", "death")
		_G.voiceline_framework:register_line_type("big_dave", "pain")
		_G.voiceline_framework:register_line_type("big_dave", "contact")
		
		for i = 1, 4 do
			_G.voiceline_framework:register_voiceline("big_dave", "death", ModPath .. "assets/voiceovers/big_dave/death/death" .. i .. ".ogg")
		end
		
		for i = 1, 5 do
			_G.voiceline_framework:register_voiceline("big_dave", "pain", ModPath .. "assets/voiceovers/big_dave/pain/pain" .. i .. ".ogg")
		end		

		for i = 1, 6 do
			_G.voiceline_framework:register_voiceline("big_dave", "contact", ModPath .. "assets/voiceovers/big_dave/contact/contact" .. i .. ".ogg")
		end		
		
	else
		log("NO FRAMEWORK!!!")
	end
end